mono-complete_5.18.0.240+dfsg-2ubuntu2_amd64.deb


Advertisement

Description

mono-complete - complete Mono runtime, development tools and all libraries

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mono-complete_5.18.0.240+dfsg-2ubuntu2_amd64.deb
Package name mono-complete
Package version 5.18.0.240+dfsg
Package release 2ubuntu2
Package architecture amd64
Package type deb
Category universe/cli-mono
Homepage http://www.mono-project.com/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 12.41 KB
Installed size 75.00 KB
Mono is a platform for running and developing applications based on the
ECMA/ISO Standards. Mono is an open source effort led by Xamarin.
Mono provides a complete CLR (Common Language Runtime) including compiler and
runtime, which can produce and execute CIL (Common Intermediate Language)
bytecode (aka assemblies), and a class library.
This is a metapackage and pulls in the Mono runtime, development tools and
all libraries.
Install this package if you want to run software for Mono or Microsoft .NET
which you are not installing from a Debian package.
For packagers: This package is not to be used as dependency for packages!
You should build-depend on cli-common-dev and the needed libraries instead.

Alternatives

Package Version Architecture Repository
mono-complete_5.18.0.240+dfsg-2ubuntu2_i386.deb 5.18.0.240+dfsg i386 Ubuntu Universe
mono-complete - - -

Requires

Name Value
ca-certificates-mono = 5.18.0.240+dfsg-2ubuntu2
libmono-2.0-1 = 5.18.0.240+dfsg-2ubuntu2
libmono-cil-dev = 5.18.0.240+dfsg-2ubuntu2
libmono-profiler = 5.18.0.240+dfsg-2ubuntu2
mono-4.0-gac = 5.18.0.240+dfsg-2ubuntu2
mono-4.0-service = 5.18.0.240+dfsg-2ubuntu2
mono-csharp-shell = 5.18.0.240+dfsg-2ubuntu2
mono-devel = 5.18.0.240+dfsg-2ubuntu2
mono-jay = 5.18.0.240+dfsg-2ubuntu2
mono-mcs = 5.18.0.240+dfsg-2ubuntu2
mono-runtime = 5.18.0.240+dfsg-2ubuntu2
mono-runtime-sgen = 5.18.0.240+dfsg-2ubuntu2
mono-utils = 5.18.0.240+dfsg-2ubuntu2
monodoc-base = 5.18.0.240+dfsg-2ubuntu2
monodoc-manual = 5.18.0.240+dfsg-2ubuntu2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mono-complete_5.18.0.240+dfsg-2ubuntu2_amd64.deb
Source Package mono

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mono-complete deb package:
    # sudo apt-get install mono-complete

Files

Path
/usr/share/doc/mono-complete/changelog.Debian.gz
/usr/share/doc/mono-complete/copyright

Changelog

2019-04-17 - Dimitri John Ledkov <xnox@ubuntu.com>
mono (5.18.0.240+dfsg-2ubuntu2) disco; urgency=medium
* Disable pie on s390x.
2019-04-17 - Steve Langasek <steve.langasek@ubuntu.com>
mono (5.18.0.240+dfsg-2ubuntu1) disco; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Build with -O0 on s390x, as otherwise it fails to bootstrap.
2019-01-26 - Jo Shields <directhex@apebox.org>
mono (5.18.0.240+dfsg-2) unstable; urgency=medium
* [fcb8084] Add missing libmono-system-native (Closes: #920531)
* [8b705cf] Don't call cert-sync if it doesn't exist (Closes: #902663)
* [0514d12] Try fixing kFreeBSD building
2019-01-18 - Jo Shields <joshield@microsoft.com>
mono (5.18.0.240+dfsg-1) unstable; urgency=medium
[ Jo Shields ]
* [c67387f] New upstream version 5.18.0.240+dfsg
* [7a3d16f] Add reference-assemblies-with-csc patch for v4.7.2
* [5d42c62] Reorder rules so it's possible to override CFLAGS/CXXFLAGS 
per-arch
* [c1147ec] Let's not worry about LLVM for now
* [d6ff03e] Don't override GCC to 5.5 on s390x
* [e0fb8de] Enable BTLS on ppc64el
* [c842d23] Use provided mono-api-diff.exe
* [f262b7e] Install v4.7.2 API
* [871c1b3] Refreshed symbols
* [89d55c3] Use langversion 7.2 for tests (7.3 needs Roslyn)
* [ae548db] Disallow directory traversal (Closes: CVE-2018-1002208)
* [de5aae0] Switch internal dh_clideps to use ikdasm
* [b518c84] Add v4.7.2 API to dh_clideps excludes
* [be0afd7] -fstack-protector-strong breaks s390x on PIC-default gcc. 
Remove it there. (Closes: #919371)
* [73b4472] Refreshed clilibs
[ Neale Ferguson ]
* [753ee8c] Fix s390x build broken by incorrect specification of the 
msgfi instuc… (#10026)
Fix s390x build broken by incorrect specification of the msgfi
instruction used in MUL_IMM type operations. The instruction had 
been encoded as its 32-bit counterpart (msfi).
In addition, the s390x microcode makes the 
mono_strength_reduction_division unnecessary so this can be bypassed.
The change to basic.make is just to avoid error messages when 
basic-profile-check.exe hasn't been built yet.
* [cb37e0b] Simplify retrieving TLS offset
* [fecfbf8] Cater for later glibc use of ucontext
* [cc78fc2] Missing include
2019-01-12 - Jo Shields <directhex@apebox.org>
mono (5.16.0.220+dfsg3-2) unstable; urgency=medium
* No-change rebuild (Closes: #919031)
2019-01-11 - Jeremy Bicha <jbicha@ubuntu.com>
mono (5.16.0.220+dfsg3-1ubuntu1) disco; urgency=medium
* Sync with Debian (LP: #1762310, LP: #1797727). Remaining change:
- Build with -O0 on s390x, as otherwise it fails to bootstrap.

See Also

Package Description
mono-csharp-shell_5.18.0.240+dfsg-2ubuntu2_all.deb interactive C# shell
mono-devel_5.18.0.240+dfsg-2ubuntu2_all.deb Mono development tools
mono-fastcgi-server4_4.2-2.1_all.deb ASP.NET 4.0 backend for FastCGI webservers
mono-fastcgi-server_4.2-2.1_all.deb ASP.NET backend for FastCGI webservers - default version
mono-fpm-server_4.2-2.1_all.deb ASP.NET backend for FastCGI Process Manager
mono-gac_5.18.0.240+dfsg-2ubuntu2_all.deb Mono GAC tool
mono-jay_5.18.0.240+dfsg-2ubuntu2_amd64.deb LALR(1) parser generator oriented to Java/CLI
mono-mcs_5.18.0.240+dfsg-2ubuntu2_all.deb Mono C# 2.0 / 3.0 / 4.0 / 5.0 compiler for CLI 2.0 / 4.0 / 4.5
mono-profiler_4.2-3_all.deb Mono profiler
mono-reference-assemblies-2.0_3.12.1+dfsg-2_all.deb Mono runtime - compiler compatibility for .NET 2.0
mono-reference-assemblies-3.5_3.12.1+dfsg-2_all.deb Mono runtime - compiler compatibility for .NET 3.5
mono-reference-assemblies-4.0_3.12.1+dfsg-2_all.deb Mono runtime - compiler compatibility for .NET 4.0
mono-runtime-boehm_5.18.0.240+dfsg-2ubuntu2_amd64.deb Mono runtime - Boehm
mono-runtime-common_5.18.0.240+dfsg-2ubuntu2_amd64.deb Mono runtime - common files
mono-runtime-sgen_5.18.0.240+dfsg-2ubuntu2_amd64.deb Mono runtime - SGen
Advertisement
Advertisement